/*
 * тестовая программа для испытаний обработчика энкодера
 * заголовочный файл
 * 
 * 
 * 
 */
//-------------------------------------------------------
 #ifndef _encoder_H  // Блокируем повторное включение этого модуля
 #define _encoder_H

//------------------
// подключение функционала референса arduinoIDE
#if ARDUINO >= 100
 #include "Arduino.h"
#else
 #include "WProgram.h"
#endif

//------------------

//---------------------------------------------------------
#include "encod.h" // заголовочник обработчика энкодера
#include "nju6432xm.h" // библиотека nju6432xm
                  // (включая "стекло на лапках")
#include "bdbc.h" // табличные кодер/декодеры
              // упакованного двоично-десятичного значения 00-99
              //в код двоичный и обратно

//------------------------------------------------------------------------
// указатель на функцию
typedef void(*Fn1Ptr)();


// обьявление и инициализация управляющих выводов NJU6432
const byte PinNoInh =9; // линия управления дисплея (бланкирование)
const byte PinDn =10; // линия данных дисплея
const byte PinScl =11; // тактовый строб сопровождения данных дисплея
const byte PinCe =12; // линия разрешения обмена дисплея




// раскладка управляющих линий (выводов)
// линия ввода данных P
const byte P_enc = 6;
// линия ввода данных D
const byte D_enc= 7;

// значение счетчика интервала между опросами
// линий энкодера в микросекундах
const byte enc_wait = 2;

/*
//------------------------------------------------------------------------
// определение системных силовых выводов аппаратной обвязки 
const byte HLtmr = 8; // сигнального выхода таймера
const byte HLbud = 2; // сигнальный вывод комплекта бодунов *!!
const byte DTM = 7; // сигнальный вывод звуковой головки
*/






//------------------------------------------------------------------------

#endif

//-------------конец файла/end of file---------------------
