/*
 * тестовая программа для испытаний обработчика энкодера
 * 
 * 
 * 
 * 
 */
//------------------------------------------------------------------------
#include "encoder.h" // заголовочник базового файла

//------------------------------------------------------------------------

// создание экземпляра класса индикатора nju
nju njx(PinNoInh, PinDn, PinScl, PinCe);



void setup() {
  // put your setup code here, to run once:

 Serial.begin(9600);
 njx.init(); njx.BlankVram(fnt_8 | fnt_coma);
 njx.WRglass(); delay(2000); njx.BlankVram(fnt_bl);
 njx.WRglass();
  enc_init();

}

//------------------------------------------------------------------------

void loop() {
  // put your main code here, to run repeatedly:

 if(QtEnc)
 {
  // временный буфер данных
  int temp;
  QtEnc = 0;
  Serial.println(enc_cnt, DEC);
  njx.BlankVram(fnt_bl);
  temp = enc_cnt;
  if (bitRead(temp, 15))
  {temp = (~temp)+1; njx.v_ram[4] = fnt_minus;}
  // преобразовать int в 5 тетрад двоично-десятичного значения
  if(temp>=10000)
  {njx.v_ram[5] = temp / 10000; temp = temp - (10000 * njx.v_ram[5]);}
  if(temp>=1000)
  {njx.v_ram[6] = temp / 1000; temp = temp - (1000 * njx.v_ram[6]);}
  if(temp>=100)
  {njx.v_ram[7] = temp / 100; temp = temp - (100 * njx.v_ram[7]);}
  njx.v_ram[9] = pgm_read_byte_near( BinDec + lowByte(temp) );
  njx.v_ram[8] = (njx.v_ram[9]>>4) & 0x0F;
  njx.v_ram[9] = njx.v_ram[9] & 0x0F;
  // преобразовать данные в сегментный код
  njx.v_ram[9] = njx.znak(njx.v_ram[9]);
  njx.v_ram[8] = njx.znak(njx.v_ram[8]);
  njx.v_ram[7] = njx.znak(njx.v_ram[7]);
  njx.v_ram[6] = njx.znak(njx.v_ram[6]);
  njx.v_ram[5] = njx.znak(njx.v_ram[5]);
  // вывести данные на дисплей
  njx.WRglass();
 }

}






//------------------------------------------------------------------------







//------------------------------------------------------------------------


//-------------конец файла/end of file---------------------
